<?php

namespace App\Http\Controllers;

use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ResourceController extends Controller
{
    //
    public function staffData()
    {
        try {
            $query = 'SELECT  D.Designation , COUNT(E.EmployeeID) AS no_of_persion   FROM Employee E 
            INNER JOIN Designation D ON E.Designation=D.ID 
            WHERE E.TypeID=3 AND  E.EmployeeStatus<>4 
            GROUP BY E.Designation';

            $result = DB::select($query);
            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {

            return response()->json(['status' => false, 'error' => $ex]);
        }
    }



    public function manPowerData()
    {
        try {
            $query = 'SELECT  D.`Name` , COUNT(E.EmployeeID) AS no_of_persion   FROM Employee E 
            INNER JOIN EmployeeCategory D ON E.Category=D.CategoryID 
            WHERE E.TypeID=2 AND  E.EmployeeStatus<>4 
            GROUP BY E.Category';

            $result = DB::select($query);
            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {

            return response()->json(['status' => false, 'error' => $ex]);
        }
    }


    public function contractData()
    {
        try {
            $query = 'SELECT  D.`Name` , COUNT(E.EmployeeID) AS no_of_persion FROM Employee E 
            INNER JOIN EmployeeCategory D ON E.Category=D.CategoryID 
            WHERE E.TypeID=1 AND  E.EmployeeStatus<>4 
            GROUP BY E.Category';

            $result = DB::select($query);
            return response()->json(['status' => true, 'data' => $result]);
        } catch (Exception $ex) {

            return response()->json(['status' => false, 'error' => $ex]);
        }
    }
}
