<?php

namespace App\Http\Controllers;

use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Illuminate\Support\Facades\DB;

class FinanceController extends Controller
{
    //

    public function getFinanceChartData()
    {
        try {
            /*$query = "SELECT * FROM (SELECT *,
            REPLACE(FORMAT(@running_total:=@running_total + T.Actuall,2),',','') AS Actual FROM
            (SELECT B.`Month`,A.Actual AS Actuall,B.Budget,B.Inflow,A.TranDate 
            FROM
            
                (SELECT JH.TranDate,DATE_FORMAT(JH.TranDate,'%b-%y') AS `Month`,SUM(JH.Amount*JH.Quantity) AS Actual FROM JobHistory JH
                    GROUP BY MONTH(JH.TranDate), YEAR(JH.TranDate) 
                    ORDER BY YEAR(JH.TranDate),MONTH(JH.TranDate)
                ) A LEFT JOIN 
                        (SELECT DATE_FORMAT(CONCAT(B.`Year`,'-',B.`Month`,'-01'),'%b-%y')  AS `Month`,B.Budget, B.Inflow  FROM CashInFlow B
                            GROUP BY B.`Month`, B.`Year` ORDER BY B.`Year`,B.`Month` 
                        ) B ON B.`Month`=A.`Month`
            
            UNION
            
            SELECT B.`Month`,A.Actual,B.Budget,B.Inflow,A.TranDate FROM
            
            (SELECT JH.TranDate,DATE_FORMAT(JH.TranDate,'%b-%y') AS `Month`,SUM(JH.Amount*JH.Quantity) AS Actual FROM JobHistory JH
                GROUP BY MONTH(JH.TranDate), YEAR(JH.TranDate) 
                ORDER BY YEAR(JH.TranDate),MONTH(JH.TranDate)
            ) A RIGHT JOIN 
                (SELECT DATE_FORMAT(CONCAT(B.`Year`,'-',B.`Month`,'-01'),'%b-%y')  AS `Month`,B.Budget, B.Inflow FROM CashInFlow B
                    GROUP BY B.`Month`, B.`Year` ORDER BY B.`Year`,B.`Month` 
                ) B ON B.`Month`=A.`Month`
            ) T
            JOIN (SELECT @running_total:=0) r) AS `1` WHERE `MONTH` IS NOT NULL";*/

            $query = 'SELECT *FROM CashInFlow';

            $result = DB::select($query);
            $month = array();
            $actual = array();
            $budget = array();
            $inflow = array();
            foreach ($result as $res) {
                array_push($month, $res->Month);
                array_push($actual, $res->Actual_Expenditure);
                array_push($budget, $res->Budget);
                array_push($inflow, $res->Inflow);
            }
            $data = ["month" => $month, "actual" => $actual, "budget" => $budget, "inflow" => $inflow];


            return response()->json(['status' => true, 'data' => $data]);
        } catch (Exception $ex) {
            return response()->json(['status' => false, 'error' => $ex]);
        }
    }
}
